Get a payment record

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

payment_record_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Response

Successful Response
idstringformat: "uuid"
amountinteger

Positive amount in case of successful payment, negative amount in case of payment failure or refund, represented in minor currency units (e.g., cents).

currencyenum

Currency code (ISO 4217) indicating the currency in which the payment was made.

historylist of objects
History of the payment record.
is_externalboolean
objectobject
entity_user_idstringformat: "uuid"
ID of the user associated with the payment, if applicable.
overpaid_amountinteger>=0Defaults to 0

Filled in a case, if payment amount is more, than total_amount

paid_atdatetime
Timestamp marking when the payment was executed. Null if payment hasn't occurred yet.
payment_intent_idstringformat: "uuid"
Identifier for an payment intent.
payment_intent_statusstring
Raw status string of the external payment intent.
payment_methodstring
Payment method used or planned for the transaction.
planned_payment_datestringformat: "date"
Scheduled date for future payments, required when the payment is planned but not yet executed.
statusstringDefaults to succeeded

The current status of the payment record. Possible values: created, processing, succeeded, canceled.

Errors

401
Get Payment Records ID Request Unauthorized Error
422
Get Payment Records ID Request Unprocessable Entity Error
429
Get Payment Records ID Request Too Many Requests Error